Piloterr

Auchan Product

Effortlessly extract product details from Auchan for dynamic business insights, including nutritional information, ingredients, ratings, and reviews.

Credit cost: 2 credits per call

GET
/v2/auchan/product

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

URL of the Auchan product page to extract data from.

Example:

https://www.auchan.fr/charles-alice-specialite-pommes-mangues-sans-sucres-ajoutes/pr-C1177497

Notes:

  • Only auchan.fr product URLs are supported URLs from other regional Auchan sites are not accepted.
  • The product reference code at the end of the URL (e.g. pr-C1177497) uniquely identifies the product.
  • Private or delisted products may return partial or no data.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/auchan/product?query=string"
{
  "id": "C1177497",
  "url": "https://www.auchan.fr/charles-alice-specialite-pommes-mangues-sans-sucres-ajoutes/pr-C1177497",
  "brand": "CHARLES & ALICE",
  "image": "https://cdn.auchan.fr/media/A0220060320000546212PRIMARY_2048x2048/B2CD/?format=rw&quality=75&width=1200&height=1200",
  "title": "Spécialité pommes mangues sans sucres ajoutés",
  "rating": 4,
  "features": {
    "ean": "3297760097143",
    "contact": {
      "exploitant": "CHARLES & ALICE ROUTE DE LIVRON 26400 ALLEX",
      "service_consommateur": "CHARLES & ALICE ROUTE DE LIVRON 26400 ALLEX"
    },
    "reference": "546212",
    "description": "Des recettes sans sucres ajoutés, sans édulcorants et sans conservateur, qui laissent s'exprimer la gourmandise naturelle des fruits.",
    "ingredients": "Purée et morceaux de mangues 50%, purée de pommes 49.8%, arôme naturel, antioxydant : acide ascorbique.",
    "pays_de_fabrication": "France",
    "valeurs_nutritionnelles": {
      "sel": "< 0,01 g",
      "glucides": "14 g",
      "proteines": "0,5 g",
      "dont_sucres": "13 g",
      "matieres_grasses": "0,5 g",
      "fibres_alimentaires": "1,5 g",
      "valeur_energetique_kj": "277 kJ",
      "valeur_energetique_kcal": "66 kcal",
      "dont_acides_gras_satures": "0,2 g"
    },
    "denomination_legale_de_vente": "Spécialité de Mangues Pommes SSA 4x100g"
  },
  "attributes": [
    "4x95g"
  ],
  "reviews_count": 13,
  "reviews_details": {
    "average_rating": 4.1,
    "rating_distribution": {
      "1": 2,
      "2": 0,
      "3": 1,
      "4": 2,
      "5": 8
    }
  }
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}